import junit.framework.Assert;
import junit.framework.TestCase;

/**
 * ITI 1220 Assignment 7, Question 1
 * JUnit test file
 * 
 * @author Alan Williams
 */
public class BinarySearchTest extends TestCase
{
	// The following set of tests all use the same array, with gaps
	// between each value.  All values from 0 to 16 are searched.
	
	public void testSearch0( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 0;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch1( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 1;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch2( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 2;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch3( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 3;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch4( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 4;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch5( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 5;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch6( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 6;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch7( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 7;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch8( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 8;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch9( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 9;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch10( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 10;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch11( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 11;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch12( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 12;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch13( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 13;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch14( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 14;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch15( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 15;
		
		boolean expected = true;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
	public void testSearch16( )
	{
		int[] list = { 1, 3, 5, 7, 9, 11, 13, 15 };	
		int toFind = 16;
		
		boolean expected = false;
		boolean actual = BinarySearch.search( list, toFind );
		
		Assert.assertEquals( expected, actual );		
	}
	
}
